Modify a bucket
Modifies a bucket by updating its stored resource with the provided JSON request body, while preserving essential key values. Use this to ensure the bucket's configuration reflects your desired settings while maintaining system integrity.
HTTP method and endpoint
PUT /accounts/{account_id}/topology/v1/buckets/{bucket_id}
Usage notes
Replaces the entire stored resource with the supplied JSON request body while preserving key values that are not user-modifiable.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
ID of the containing account resource
|
bucket_id |
string |
path |
True |
ID of the bucket collection to list |
Request Body
Replaces the entire stored resource with the supplied JSON request body while preserving key values that are not user-modifiable.
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource. Defined values are:
|
id |
string |
False |
Globally unique identifier of the resource. Defined values are:
|
name |
string |
False |
JSON string containing a user-assigned name for the bucket. Defined values are:
|
credentialID |
string |
False |
JSON string containing the identifier of the credentials used to access the bucket. Defined values are:
|
state |
string |
False |
JSON string containing a value indicating the operational state of the bucket. Defined values are:
|
stateDetails |
array[type_astra_stateDetail] |
False |
JSON array of JSON objects that lists additional details about why "state" transitioned to "removed" or "failed". If no details are available, this array will be empty.
|
provider |
string |
False |
JSON string indicating the bucket protocol that can be used to access the bucket. Defined values are:
|
bucketParameters |
False |
JSON object that provides bucket provider-specific information required to access the bucket. The specific values in this bucket vary per provider. |
|
metadata |
False |
Client and service-specified metadata associated with the resource. Defined values are:
|
Example request
{
"type": "application/astra-bucket",
"version": "1.2",
"name": "New Bucket Name"
}
Response
Status: 204, Indicates if the bucket resource was updated.
Response
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Response
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
array[invalidFields] |
False |
List of invalid request body fields |
Example response
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Response
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
array[invalidFields] |
False |
List of invalid request body fields |
Example response
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
Response
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example error response
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definitions
See Definitions
additionalDetails
type_astra_stateDetail
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
additionalDetails |
False |
s3
JSON object that provides Simple Storage Service (S3) protocol parameters. (Use this object for all S3 type providers).
| Name | Type | Required | Description |
|---|---|---|---|
serverURL |
string |
False |
JSON string containing a URL to the base path for the bucket. Defined values are:
|
bucketName |
string |
False |
JSON string containing the name of the S3 bucket. Defined values are:
|
gcp
JSON object that provides Google Cloud protocol parameters.
| Name | Type | Required | Description |
|---|---|---|---|
bucketName |
string |
False |
JSON string containing the name of the backing Google Cloud bucket name. Defined values are:
|
azure
JSON object that provides Azure protocol parameters.
| Name | Type | Required | Description |
|---|---|---|---|
storageAccount |
string |
False |
JSON string containing the Azure storage account name. Defined values are:
|
bucketName |
string |
False |
JSON string containing the name of the backing Azure blob name. Defined values are:
|
bucketParameters
JSON object that provides bucket provider-specific information required to access the bucket. The specific values in this bucket vary per provider.
| Name | Type | Required | Description |
|---|---|---|---|
s3 |
False |
JSON object that provides Simple Storage Service (S3) protocol parameters. (Use this object for all S3 type providers). |
|
gcp |
False |
JSON object that provides Google Cloud protocol parameters. |
|
azure |
False |
JSON object that provides Azure protocol parameters. |
type_astra_label
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
Client and service-specified metadata associated with the resource. Defined values are:
-
Conforms to the Astra Metadata Schema If not specified on create, a metadata object will be created with no labels. If not specified on update, the metadata object's labels, creationTimestamp and createdBy, will be preserved without modification.
| Name | Type | Required | Description |
|---|---|---|---|
labels |
array[type_astra_label] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
createdBy |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid query parameter |
reason |
string |
True |
Reason why the query parameter is invalid |
invalidFields
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid request body field |
reason |
string |
True |
Reason why the request body field is invalid |